%define version 1.2
%define name tkdesk
Summary: Graphical desktop manager built with tcl/tk 8.0.5 and itcl 3.0.1.
Name: %{name}
Version: %{version}
Release: 1
Copyright: GPL
Group: X11/Applications/File Manager
Source0: tkdesk-1.2.tar.gz
Source1: tkdesk-more-icons.tar.gz
Source2: appbar-dnd.diff
Source3: empty-trash.diff
Source4: exit-save.diff
Source5: tkdesk.sh
Source6: tkdesk
Requires: XFree86
Packager: lai@physics.utexas.edu
Buildroot: /tmp/%{name}

%description

   TkDesk is a graphical desktop and file manager for several brands
   of UNIX (such as Linux) and the X Window System.  It offers a very
   rich set of file operations and services, and gives the user the
   ability to configure most aspects of TkDesk in a powerful way.  The
   reason for this is the use of Tcl/Tk as the configuration and (for
   the biggest part of TkDesk) implementation language.

   TkDesk has been influenced by various other systems and file managers:
   NeXT, for laying out the file browser windows, Apple Finder, for the
   idea of file annotations and, (shock horror), Windows 95, for some
   other (of course minor and unimportant ;-)) inspirations.

   This is a brief overview of the most prominent features of TkDesk:

   o Arbitrary number of automatically refreshed file browsers and file
     list windows,
   o Configurable file-specific popup-menus,
   o Drag and drop,
   o Files and directories may also be dropped onto the root window,
   o Configurable application bar, with several displays and cascadable
     popup menus for each button, files can also be dropped here,
   o History of visited directories, opened files, executed commands
     and many other things, which is automatically saved to disk,
   o Find files through their annotation, name, contents, size or age,
   o Trash can for safe "deletion" of files and directories,
   o Calculation of disk usage for directory hierarchies,
   o All file operations (find, copy, disk usage, etc.) are carried out
     in the background,
   o Traversal of directory hierarchies through recursive cascaded menus,
   o Bookmarks, create menu entries for often used files/directories,
   o Comprehensive hypertextish online help (slightly out of date in this
     release...),
   o Built-in multi-buffer editor, providing virtually unlimited undo,
   o Remote control of Netscape and XEmacs,
   o Sound support,
   o Powerful on-the-fly configuration of nearly all aspects of TkDesk
     using Tcl/Tk, allowing for unlimited extensibility,
   o Free of charge! But see the file COPYING, or menu entry
     Help/License for information on usage and redistribution of TkDesk.

%prep
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
#mkdir -p $RPM_BUILD_ROOT/etc/profile.d

%setup

%build
cd $RPM_BUILD_DIR/tkdesk-%{version}/tcldesk
patch < $RPM_SOURCE_DIR/appbar-dnd.diff
patch < $RPM_SOURCE_DIR/empty-trash.diff
cd $RPM_BUILD_DIR/tkdesk-%{version}/
patch < $RPM_SOURCE_DIR/exit-save.diff

cd $RPM_BUILD_DIR/tkdesk-%{version}/
configure --prefix=/usr

make

%install
make INSTALL_ROOT=$RPM_BUILD_ROOT install
cd $RPM_BUILD_ROOT/usr/lib/TkDesk/
tar xvfpz $RPM_SOURCE_DIR/tkdesk-more-icons.tar.gz
chown -R root.root *
#cp $RPM_SOURCE_DIR/tkdesk.sh $RPM_BUILD_ROOT/etc/profile.d/
cp $RPM_SOURCE_DIR/tkdesk $RPM_BUILD_ROOT/usr/bin/

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.%{name}
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT
rm $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}
